post
https://device/v2/devices
Create a new Device by Template id
(*)This parameter is mandatory only if its optional parent attribute is defined. Click here for more information.
Request Body Parameters:
| Parameter | Type | Mandatory | Description | Example |
|---|---|---|---|---|
| <customAttribute1> | <customAttribute1Type> | false | Regular custom attribute 1 value | |
| <customAttributeN> | <customAttributeNType> | false | Regular custom attribute N value | |
| _configuration | object | false | An object that holds the entity configuration attributes | |
| _configuration.<customAttribute1> | <customAttribute1Type> | false | Configuration custom attribute 1 value | |
| _configuration.<customAttributeN> | <customAttributeNType> | false | Configuration custom attribute N value | |
| _description | string | false | Device description | |
| _id | string | true | Pattern:[a-zA-Z0-9:_-]+ | |
| _ownerOrganization | object | false | ||
| _ownerOrganization.id | string | true(*) | ||
| _patient | object | false | ||
| _patient.id | string | true(*) | ||
| _registrationCode | object | false | ||
| _registrationCode.id | string | true(*) | ||
| _templateId | string | true | The id of a template that is configured in the settings service. | 3fa85f64-5717-4562-b3fc-2c963f66afa6 |
| _timezone | string | false | A java time zone supported by the java runtime environment | Europe/Oslo |
| Query Parameters: |
| Parameter | Type | Mandatory | Description | Example |
|---|---|---|---|---|
| includeReferencers | boolean | false | Optional query parameter that controls whether the response should include referencers metadata. When set to true, the response will contain an additional _referencers JSON node with information about entities that reference this entity (e.g. referrer template, attribute, count, etc.).If this query parameter is not provided, a default behavior will be applied. The default value is configurable and may differ between environments. Note: Enabling referencers information may impact performance, as additional data needs to be resolved and returned. |
This API requires PROTECTED_API permission(s).
